<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePaymentWechatsTable extends Migration
{

    /**
     * Run the migrations.
     * @return void
     */
    public function up()
    {
        Schema::create('payment_wechats', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('appid')->nullable();
            $table->string('app_id')->nullable();
            $table->string('miniapp_id')->nullable();
            $table->string('mch_id');
            $table->string('key');
            $table->string('notify_url')->nullable();
            $table->string('cert_client')->nullable();
            $table->string('cert_key')->nullable();
            $table->json('log');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('payment_wechats');
    }

}
